# object-inspect

## object-inspect [![Version Badge](https://versionbadg.es/inspect-js/object-inspect.svg)](https://npmjs.org/package/object-inspect)

string representations of objects in node and the browser

[![github actions](https://img.shields.io/endpoint?url=https://github-actions-badge-u3jn4tfpocch.runkit.sh/inspect-js/object-inspect)](https://github.com/inspect-js/object-inspect/actions) [![coverage](https://codecov.io/gh/inspect-js/object-inspect/branch/main/graphs/badge.svg)](https://app.codecov.io/gh/inspect-js/object-inspect/) [![dependency status](https://david-dm.org/inspect-js/object-inspect.svg)](https://david-dm.org/inspect-js/object-inspect) [![dev dependency status](https://david-dm.org/inspect-js/object-inspect/dev-status.svg)](https://david-dm.org/inspect-js/object-inspect#info=devDependencies) [![License](https://img.shields.io/npm/l/object-inspect.svg)](https://github.com/pingponglabs/mediamagic-platform/blob/main/services/graphql-gateway/node_modules/object-inspect/LICENSE/README.md) [![Downloads](https://img.shields.io/npm/dm/object-inspect.svg)](https://npm-stat.com/charts.html?package=object-inspect)

[![npm badge](https://nodei.co/npm/object-inspect.png?downloads=true\&stars=true)](https://npmjs.org/package/object-inspect)

## example

### circular

```js
var inspect = require('object-inspect');
var obj = { a: 1, b: [3,4] };
obj.c = obj;
console.log(inspect(obj));
```

### dom element

```js
var inspect = require('object-inspect');

var d = document.createElement('div');
d.setAttribute('id', 'beep');
d.innerHTML = '<b>wooo</b><i>iiiii</i>';

console.log(inspect([ d, { a: 3, b : 4, c: [5,6,[7,[8,[9]]]] } ]));
```

output:

```
[ <div id="beep">...</div>, { a: 3, b: 4, c: [ 5, 6, [ 7, [ 8, [ ... ] ] ] ] } ]
```

## methods

```js
var inspect = require('object-inspect')
```

### var s = inspect(obj, opts={})

Return a string `s` with the string representation of `obj` up to a depth of `opts.depth`.

Additional options:

* `quoteStyle`: must be "single" or "double", if present. Default `'single'` for strings, `'double'` for HTML elements.
* `maxStringLength`: must be `0`, a positive integer, `Infinity`, or `null`, if present. Default `Infinity`.
* `customInspect`: When `true`, a custom inspect method function will be invoked (either undere the `util.inspect.custom` symbol, or the `inspect` property). When the string `'symbol'`, only the symbol method will be invoked. Default `true`.
* `indent`: must be "\t", `null`, or a positive integer. Default `null`.
* `numericSeparator`: must be a boolean, if present. Default `false`. If `true`, all numbers will be printed with numeric separators (eg, `1234.5678` will be printed as `'1_234.567_8'`)

## install

With [npm](https://npmjs.org) do:

```
npm install object-inspect
```

## license

MIT


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.mediamagic.dev/product-docs/services/graphql-gateway/node_modules/object-inspect.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
